﻿Type=Activity
Version=3
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Dim SaveFileName As String
	Dim SaveFilePath As String
	Dim FileSaved As Boolean
	
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.

	Dim EmailCSVFile As Button
	Dim Label1 As Label
	Dim ShowFile As Button
	Dim SaveFile As Button
	Dim Viewer As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("Options")
	SaveFileName = Main.OutFileName
	SaveFilePath = File.DirDefaultExternal
	Label1.Text = "Output File Created"

End Sub

Sub Activity_Resume

End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub
Sub ShowFile_Click

	If FileSaved = False Then
		Dim Result As Int = Msgbox2("Save it now?","Save the output File first","Save","Cancel","",Null)

		Select Result
			Case DialogResponse.POSITIVE
			SaveFile_Click
			Case DialogResponse.CANCEL 
			Return
		End Select
	End If
	Dim i As Intent
   	i.Initialize(i.ACTION_VIEW, "file://"&File.Combine(SaveFilePath,SaveFileName))
   	i.SetType("text/html")
   	StartActivity(i)
	
End Sub
Sub EmailCSVFile_Click

	If FileSaved = False Then
		Dim Result As Int = Msgbox2("Save it now?","Save the output File first","Save","Cancel","",Null)

		Select Result
			Case DialogResponse.POSITIVE
			SaveFile_Click
			Case DialogResponse.CANCEL 
			Return
		End Select
	End If

	Dim Message As Email
		
		
	Message.Subject=SaveFileName
	Message.Body="OutputViews CSV file attached"&CRLF&"Save the file and open in your spreadsheet"
	Message.Attachments.Add(File.Combine(SaveFilePath,SaveFileName))

	Try
		StartActivity(Message.GetIntent)
	Catch
		Log("CreateMail: Start Activity Failed... "&SaveFileName)
		ToastMessageShow("No App available to share with...",False)
		Return
	End Try
	ToastMessageShow("Select how to share .....",False)
	
	
End Sub
Sub SaveFile_Click

	OutputViews.WriteCSVfile(SaveFilePath,SaveFileName)
	FileSaved = True
End Sub
Sub Viewer_Click

	If FileSaved = False Then
		Dim Result As Int = Msgbox2("Save it now?","Save the output File first","Save","Cancel","",Null)

		Select Result
			Case DialogResponse.POSITIVE
			SaveFile_Click
			Case DialogResponse.CANCEL 
			Return
		End Select
	End If


	Dim In As Intent
	In.Initialize("com.stevel05.basicviewer.VIEWER","")
	In.SetComponent("com.stevel05.basicviewer.main")
	In.PutExtra("FileName",SaveFileName)
	In.PutExtra("FilePath",SaveFilePath)
	StartActivity(In)
End Sub